Bug 1044199 - [abrt] python-ase: info.py:17:main:TypeError: error() takes exactly 2 arguments (1 given)
Summary: [abrt] python-ase: info.py:17:main:TypeError: error() takes exactly 2 argumen...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-ase
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: marcindulak
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0ec383da077c2c324c4a9415d8d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-17 21:53 UTC by Michael Schwendt
Modified: 2014-02-08 05:08 UTC (History)
2 users (show)

Fixed In Version: python-ase-3.8.1.3440-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-07 18:49:40 UTC


Attachments (Terms of Use)
File: backtrace (438 bytes, text/plain)
2013-12-17 21:53 UTC, Michael Schwendt
no flags Details
File: environ (1.36 KB, text/plain)
2013-12-17 21:53 UTC, Michael Schwendt
no flags Details

Description Michael Schwendt 2013-12-17 21:53:27 UTC
Description of problem:
Simply running "ase-info" without any arguments crashes and triggers ABRT.

Version-Release number of selected component:
python-ase-3.8.1.3440-9.fc20

Additional info:
reporter:       libreport-2.1.10
cmdline:        /usr/bin/python /usr/bin/ase-info
executable:     /usr/bin/ase-info
kernel:         3.12.5-301.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
info.py:17:main:TypeError: error() takes exactly 2 arguments (1 given)

Traceback (most recent call last):
  File "/usr/bin/ase-info", line 5, in <module>
    main()
  File "/usr/lib/python2.7/site-packages/ase/cli/info.py", line 17, in main
    p.error()
TypeError: error() takes exactly 2 arguments (1 given)

Local variables in innermost frame:
p: <optparse.OptionParser instance at 0x11df4d0>
args: []
opts: <Values at 0x154c4d0: {}>

Comment 1 Michael Schwendt 2013-12-17 21:53:32 UTC
Created attachment 838001 [details]
File: backtrace

Comment 2 Michael Schwendt 2013-12-17 21:53:34 UTC
Created attachment 838002 [details]
File: environ

Comment 3 marcindulak 2013-12-18 15:02:09 UTC
This is already fixed upstream https://trac.fysik.dtu.dk/projects/ase/changeset/3435/trunk/ase/cli/info.py , but will need to wait until the new upstream python-ase release.

Comment 4 Fedora Update System 2014-01-17 13:55:09 UTC
python-ase-3.8.1.3440-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.fc19

Comment 5 Fedora Update System 2014-01-17 13:55:30 UTC
python-ase-3.8.1.3440-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.el6

Comment 6 Fedora Update System 2014-01-17 13:55:58 UTC
python-ase-3.8.1.3440-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-ase-3.8.1.3440-10.fc20

Comment 7 Fedora Update System 2014-01-18 04:23:09 UTC
Package python-ase-3.8.1.3440-10.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-ase-3.8.1.3440-10.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1049/python-ase-3.8.1.3440-10.fc19
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-02-07 18:49:40 UTC
python-ase-3.8.1.3440-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-02-08 05:01:51 UTC
python-ase-3.8.1.3440-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-02-08 05:08:18 UTC
python-ase-3.8.1.3440-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.